# exclude all tests dependant on rpc
forge test --no-match-test test_mainnet_

echo ""
echo "#####################################"
echo "## Running mainnet dependant tests ##"
echo "#####################################"
echo ""

# url from the foundry, forge-std/StdChains.sol
FORK_URL="${1:-https://eth-mainnet.alchemyapi.io/v2/pwc5rmJhrdoaSEfimoKEmsvOjKSmPDrP}"

# run tests where rpc to the mainnet is needed
forge test --match-test test_mainnet_ --fork-url $FORK_URL
